<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    :=   <a href="STRING_CONSTANT.html"><font color="#008000">STRING_CONSTANT</font></a>; 
   
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"String built in."</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_abstract_string</font></strong>:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> := 
        
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a>, <a href="ABSTRACT_ENTRY.html"><font color="#008000">ABSTRACT_ENTRY</font></a>
  
  <br><font FACE="Sans-serif" color="#000000"><B> BSBS: A revoir avec les Section External.</B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">storage</font></strong>:<a href="NATIVE_ARRAY.html"><font color="#008000">NATIVE_ARRAY</font></a>[<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a>] := 
  
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  
  
 <br><font FACE="Sans-serif" color="#000000"><B> - clone:SELF <- Self;</B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">count</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> := 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_string</font></strong>:<strong><font color="#A020F0">Strict</font></strong> <a href="STRING.html"><font color="#008000">STRING</font></a> <-
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">capacity</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Aliasing String.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">bucket</font></strong>:<a href="SET.html"><font color="#008000">SET</font></a>[<a href="STRING_CONSTANT.html"><font color="#008000">STRING_CONSTANT</font></a>] := 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> The Guru section: The Compiler consideration.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_storage</font></strong> p:<a href="NATIVE_ARRAY.html"><font color="#008000">NATIVE_ARRAY</font></a>[<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a>] <strong><font color="#0000FF">count</font></strong> nb_char:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Do not use directly.</font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">new_intern</font></strong> p:<a href="NATIVE_ARRAY.html"><font color="#008000">NATIVE_ARRAY</font></a>[<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a>] <strong><font color="#0000FF">count</font></strong> nb_char:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="STRING_CONSTANT.html"><font color="#008000">STRING_CONSTANT</font></a><-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Do not use directly. WARNING: Use by c_string and c_argument (COMMAND_LINE). </font></strong></em>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_external</font></strong>:<a href="NATIVE_ARRAY.html"><font color="#008000">NATIVE_ARRAY</font></a>[<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a>] <-
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Gives C access to the internal `storage' (may be dangerous).</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  To be compatible with C, a null character is added at the end</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  of the internal `storage'. This extra null character is not</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  part of the Lisaac STRING.</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create_copy</font></strong> other:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make_copy</font></strong> other:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> <-
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Debug: Require / Ensure / Check</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">?</font>'  test:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">-?</font>' test:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">+?</font>' test:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <- 
  
  

</body>
</html>

